<ion-view view-title="Profile" cache-view="false">
    <ion-content>
        <div id="content" class="balanced-bg"> <div id="profile-info">
                <img id="profile-image" fallback-src="img/emptyavatar.jpg" ng-src="{{pofilepic_baseurl}}{{feedprofile.user_profile.profile_pic}}">
                <h3 id="profile-name">{{feedprofile.user_profile.name}}</h3>

                <div class="row">
                    <div class="col">
                        <button ui-sref="tab.friends" class="button button-outline button-light width-100">
                            {{feedprofile.followerscount}}
                        </button>
                    </div>
                    <div class="col"><button ui-sref="tab.friends" class="button button-outline button-light width-100">
                            {{feedprofile.followingcount}}
                        </button>
                    </div>

                </div>

                <div class="row">
                    <div class="col">
                        <button class="button button-outline button-light width-100">
                            {{feedprofile.postcount}}
                        </button>
                    </div>
                    <div class="col"><button ui-sref="photogallery({ fromprofile: 'yes',userid:feedprofile.user_profile.userid })" class="button button-outline button-light width-100">
                            {{feedprofile.photocount}}
                        </button>
                    </div>

                </div>
            </div></div>
        
        
        <div class="list card" ng-repeat="feed in feeds">
            <div class="item item-avatar feed-header item-icon-right">
                <img fallback-src="img/emptyavatar.jpg" ng-src="{{pofilepic_baseurl}}{{feed.user_photo}}">
                <h2>{{feed.user_name}}</h2> 
                <p>{{feed.post_date}} </p>
                <h2 ng-show="feed.location">
                   At - {{feed.location}} 
                 </h2>
                <i style="font-size:20px;" class="icon ion-android-close" ng-click="deletePost({{feed.post_id}});"></i>
            </div>
            <div class="item item-body">
<!--                <p>
                    {{feed.post_text}} 
                </p>-->
                  <p>  <swifthash id="dir" content="feed.post_text"></swifthash></p>
                
                <ion-slide-box>
                    <ion-slide ng-repeat="image in feed.photos" >
                        <div class="feed-images-wrapper" style="background-image: url({{photo_baseurl}}{{image.photoname}});"> </div>
                    </ion-slide>
                </ion-slide-box>
                
            </div>
            <div class="item item-divider"> <p>
                    
                <i class="icon ion-thumbsup" ng-class="{'balanced': feed.selflike}"></i> <a ng-class="{'balanced': feed.selflike}" ng-click="likeFeed({{feed.post_id}},$index)" href="#" class="subdued"> {{feed.post_likescount}} </a>
                <i class="icon ion-chatbox"></i><a href="#" ng-click="showcomments(feed.comments, feed.post_id,$index)" class="subdued"> {{feed.post_commentscount}}</a></p>
           
            </div>
        </div>
        <ion-infinite-scroll ng-if="!noMoreItemsAvailable" on-infinite="loadMore('iscroll')" distance="10%"></ion-infinite-scroll>

        <div class="list card" style="display:none;">
            <ion-slide-box>
                <ion-slide ng-repeat="image in feedprofile.photos" >
                    <div class="feed-images-wrapper" style="background-image: url({{photo_baseurl}}{{image.photoname}});"> </div>
                </ion-slide>
            </ion-slide-box>
        </div>
    </ion-content>
</ion-view>
